Bug 498120 - Upgrade using CD fails when fstab has 'ecryptfs' line.
Upgrade using CD fails when fstab has 'ecryptfs' line.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
NEEDSRETESTING
:
Depends On:
Blocks: F11AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-04-28 19:35 EDT by Stephen Thorne
Modified: 2009-05-07 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-07 14:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Thorne 2009-04-28 19:35:24 EDT
Description of problem:

During the 'upgrade' process of a Fedora 10 machine to Rawhide using a Fedora-11-beta DVD, I had a traceback while trying to mount the filesystems at the beginning of the installation process.

Commenting out the ecryptfs line I have in my fstab fixed the problem.

Version-Release number of selected component (if applicable):
unknown

How reproducible:

Add this line to /etc/fstab, then attempt to upgrade using a DVD.


Steps to Reproduce:
1. Add this line to /etc/fstab:
/home/sthorne/.work /home/sthorne/work ecryptfs relatime,exec,noauto,ecryptfs_key_bytes=16,ecryptfs_cipher=aes,ecryptfs_sig=deadbeefbabe,key=passphrase,user 0 0
2. Reboot into installation DVD
3. Attempt to upgrade the system using the DVD.
  
Actual results:

Able to continue

Expected results:

Traceback seen.

Additional info:
Comment 1 Chris Lumens 2009-05-04 13:17:05 EDT
dlehman was working on a plan to ignore and preserve lines in /etc/fstab that we didn't understand.  Reassigning.
Comment 2 David Lehman 2009-05-05 12:20:05 EDT
This should be fixed in anaconda-11.5.0.49-1.
Comment 3 Andy Lindeberg 2009-05-07 14:31:14 EDT
This worked for me with the latest rawhide.

Note You need to log in before you can comment on or make changes to this bug.